// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////
// The Mantis Editor Module Interface.
//////////////////////////////////////////

#pragma once

#include "ModuleManager.h"

class IMantis : public IModuleInterface
{
public:
	//Function to Get the Singleton of this Module if it's loaded.
	static inline IMantis& Get()
	{
		return FModuleManager::LoadModuleChecked< IMantis >( "Mantis" );
	}

	//Function to check if the Module is loaded.
	static inline bool IsAvailable()
	{
		return FModuleManager::Get().IsModuleLoaded( "Mantis" );
	}
};

